/* Copyright 2024 Condor B.V. */

/*condor default theme*/
:root {
    --letter-spacing-buttons-m: 0.76px;
    --font-family-regular: 'Regular', 'Segoe UI', 'HelveticaNeue', 'Arial';
    --font-family-bold: 'Bold', 'Segoe UI', 'HelveticaNeue', 'Arial';
    --font-size-body: 11px;
}

:root {
    --primary-rgb: 229, 79, 22; /*condor orange*/
    --primary-color: rgb(var(--primary-rgb));
    --primary-color-5: rgba(var(--primary-rgb), 0.05);
    --secondary-color: rgb(15, 51, 80);
    --highlight-foreground-color: rgb(15, 51, 80);
    --highlight-background-color: rgba(141, 185, 220, 0.2);
    --secondary-highlight-foreground-color: rgb(15, 51, 80);
    --highlight-inverted-background-color: rgba(255, 255, 255, 0.1);
    --input-disabled-background-color: #E6E7E8;
}

:root {
    --indicator-succes-primary-color: rgb(100,175,75);
    --indicator-succes-background-color: rgb(235,243,229);
    --indicator-warning-primary-color: rgb(248,149,32);
    --indicator-warning-background-color: rgb(255,244,232);
    --indicator-danger-primary-color: rgb(237,32,39);
    --indicator-danger-background-color: rgb(253,232,233);
    --indicator-info-primary-color: rgb(0,106,170);
    --indicator-info-background-color: rgb(230,247,252);
    --indicator-nietverhuurbaar-primary-color: rgb(128,128,128);
    --indicator-nietverhuurbaar-background-color: rgb(211,211,211);
}

:root {
    --text-primary-color: rgb(229,79,22);
    --text-dark-primary-color: rgb(0,0,0);
    --text-light-primary-color: rgba(255,255,255, 0.87);
    --text-dark-secondary-color: rgba(0, 0, 0, 0.82);
    --text-dark-tertiary-color: rgb(0,0,0, 0.56);
    --text-size-body: 11px;
}

:root {
    --browser-background-color: #FFFFFF;
    /*--app-background-color: rgba(141, 185, 220, 0.1);*/
    --app-background-color: #F3F8FC;
    --app-top-bar-background-color: #0f3350;
    --surface-color: rgb(255,255,255); /*white*/
    --surface-chrome-color: rgb(245, 245, 245); /*slight grey for headers etc of content box*/
    --input-border-color: rgba(34, 36, 38, 0.1);
    --input-background-color: rgb(248, 248, 248);
    --tile-border-color: rgba(0,0,0,0.1);
    --group-box-shadow: 0px 0px 1px rgba(0,0,0,0.4);
}

:root {
    --border-radius-s: 2px;
    --border-radius-m: 4px;
    --border-radius-l: 8px;
}

/*spacing*/
:root {
    --spacing-xs: 2px;
    --spacing-s: 4px;
    --spacing-m: 8px;
    --spacing-md: 12px;
    --spacing-l: 16px;
    --spacing-xl: 32px;
    --button-padding-m: 6px 6.5px;
    
}

/*theme overrides */
.mdi, .btnM span.glyphicon, .btnM span, a.btnM span::before, a > .mdi::before, .sortFilterToggleButton .filterOn, .lookup > a.link {
    color: var(--secondary-highlight-foreground-color);
}

[data-type=tabs] > .header, [data-type=popuppanels] [data-type=tabs] > .header, [data-type=popuppanels] > div > div.header, .condorReportViewer .pageTitle {
    background-color: var(--app-background-color);
}

/*master Detail header*/

.contentRight > div > [data-type="tabs"] > .header {
    background-color: transparent;
}

div.content {
    background-color: var(--app-background-color);
}

.sectionPreview {
    background-color: var(--surface-color);/*keep white*/
}
